config: conf/tuning/train_asr_conformer5.yaml
print_config: false
log_level: INFO
drop_last_iter: false
dry_run: false
iterator_type: sequence
valid_iterator_type: null
output_dir: models/stt/Basque Conformer STT v0.1.0/asr_train_asr_conformer5_raw_eu_bpe150_sp
ngpu: 1
seed: 0
num_workers: 1
num_att_plot: 3
dist_backend: nccl
dist_init_method: env://
dist_world_size: null
dist_rank: null
local_rank: 0
dist_master_addr: null
dist_master_port: null
dist_launcher: null
multiprocessing_distributed: false
unused_parameters: false
sharded_ddp: false
cudnn_enabled: true
cudnn_benchmark: false
cudnn_deterministic: true
collect_stats: false
write_collected_feats: false
max_epoch: 50
patience: null
val_scheduler_criterion:
- valid
- loss
early_stopping_criterion:
- valid
- loss
- min
best_model_criterion:
-   - valid
    - acc
    - max
keep_nbest_models: 10
nbest_averaging_interval: 0
grad_clip: 3
grad_clip_type: 2.0
grad_noise: false
accum_grad: 1
no_forward_run: false
resume: true
train_dtype: float32
use_amp: false
log_interval: null
use_matplotlib: true
use_tensorboard: true
create_graph_in_tensorboard: false
use_wandb: false
wandb_project: null
wandb_id: null
wandb_entity: null
wandb_name: null
wandb_model_log_interval: -1
detect_anomaly: false
pretrain_path: null
init_param: []
ignore_init_mismatch: false
freeze_param: []
num_iters_per_epoch: null
batch_size: 20
valid_batch_size: null
batch_bins: 10000000
valid_batch_bins: null
train_shape_file:
- models/stt/Basque Conformer STT v0.1.0/asr_stats_raw_eu_bpe150_sp/train/speech_shape
- models/stt/Basque Conformer STT v0.1.0/asr_stats_raw_eu_bpe150_sp/train/text_shape.bpe
valid_shape_file:
- models/stt/Basque Conformer STT v0.1.0/asr_stats_raw_eu_bpe150_sp/valid/speech_shape
- models/stt/Basque Conformer STT v0.1.0/asr_stats_raw_eu_bpe150_sp/valid/text_shape.bpe
batch_type: numel
valid_batch_type: null
fold_length:
- 80000
- 150
sort_in_batch: descending
shuffle_within_batch: false
sort_batch: descending
multiple_iterator: false
chunk_length: 500
chunk_shift_ratio: 0.5
num_cache_chunks: 1024
chunk_excluded_key_prefixes: []
train_data_path_and_name_and_type:
-   - dump/raw/train_eu_sp/wav.scp
    - speech
    - sound
-   - dump/raw/train_eu_sp/text
    - text
    - text
valid_data_path_and_name_and_type:
-   - dump/raw/dev_eu/wav.scp
    - speech
    - sound
-   - dump/raw/dev_eu/text
    - text
    - text
allow_variable_data_keys: false
max_cache_size: 0.0
max_cache_fd: 32
valid_max_cache_size: null
exclude_weight_decay: false
exclude_weight_decay_conf: {}
optim: adam
optim_conf:
    lr: 4.0
scheduler: noamlr
scheduler_conf:
    model_size: 256
    warmup_steps: 25000
token_list:
- <blank>
- <unk>
- A
- ▁
- I
- E
- Z
- .
- R
- N
- U
- S
- O
- T
- KO
- K
- ▁E
- TU
- TE
- RA
- EN
- L
- ','
- LA
- TA
- AK
- ▁A
- AN
- ▁DA
- RE
- KA
- P
- GO
- IN
- B
- M
- ▁DU
- RI
- GU
- ▁ETA
- D
- ER
- UR
- ▁BA
- ▁P
- H
- MA
- ▁G
- ▁I
- ▁HA
- TZEN
- LE
- ▁EZ
- ▁O
- EK
- GI
- ▁BAT
- DA
- DU
- TZA
- KI
- DI
- RO
- ▁GA
- REN
- AR
- TEN
- GA
- TIK
- RRI
- ▁BI
- LI
- ▁BER
- G
- ▁AR
- TO
- ERA
- AREN
- ▁ZI
- ▁DE
- ▁BE
- X
- BA
- ▁DI
- ▁IZAN
- ▁ZE
- ETAN
- ▁ZEN
- EAN
- IA
- ▁JA
- ▁ERE
- ▁DITU
- ▁ZA
- ▁ERA
- LO
- ▁HOR
- NTZ
- ▁DIRA
- MEN
- ▁HI
- ▁F
- F
- LDE
- ZIO
- '?'
- ▁ZU
- '-'
- DO
- ▁EGIN
- TZEKO
- ▁BEHAR
- TZI
- BIL
- ▁IN
- RIK
- ▁HORI
- ▁SA
- ▁NA
- BIDE
- ▁KON
- ▁HE
- ▁ZUEN
- ▁MU
- ▁BESTE
- ▁SO
- ▁HERRI
- ▁IKAS
- ▁NO
- ▁ALD
- ▁NI
- ▁TX
- ABE
- KETA
- ▁BAINA
- C
- '!'
- V
- Y
- ':'
- ;
- '"'
- í
- Q
- ñ
- W
- J
- ‘
- ’
- <sos/eos>
init: null
input_size: null
ctc_conf:
    dropout_rate: 0.0
    ctc_type: builtin
    reduce: true
    ignore_nan_grad: null
    zero_infinity: true
joint_net_conf: null
use_preprocessor: true
token_type: bpe
bpemodel: models/stt/Basque Conformer STT v0.1.0/data/eu_token_list/bpe_unigram150/bpe.model
non_linguistic_symbols: null
cleaner: null
g2p: null
speech_volume_normalize: null
rir_scp: null
rir_apply_prob: 1.0
noise_scp: null
noise_apply_prob: 1.0
noise_db_range: '13_15'
short_noise_thres: 0.5
aux_ctc_tasks: []
frontend: default
frontend_conf:
    n_fft: 512
    win_length: 400
    hop_length: 160
    fs: 16k
specaug: specaug
specaug_conf:
    apply_time_warp: true
    time_warp_window: 5
    time_warp_mode: bicubic
    apply_freq_mask: true
    freq_mask_width_range:
    - 0
    - 30
    num_freq_mask: 2
    apply_time_mask: true
    time_mask_width_range:
    - 0
    - 40
    num_time_mask: 2
normalize: global_mvn
normalize_conf:
    stats_file: models/stt/Basque Conformer STT v0.1.0/asr_stats_raw_eu_bpe150_sp/train/feats_stats.npz
model: espnet
model_conf:
    ctc_weight: 0.3
    lsm_weight: 0.1
    length_normalized_loss: false
preencoder: null
preencoder_conf: {}
encoder: conformer
encoder_conf:
    input_layer: conv2d
    num_blocks: 12
    linear_units: 2048
    dropout_rate: 0.1
    output_size: 256
    attention_heads: 4
    attention_dropout_rate: 0.0
    pos_enc_layer_type: rel_pos
    selfattention_layer_type: rel_selfattn
    activation_type: swish
    macaron_style: true
    use_cnn_module: true
    cnn_module_kernel: 15
postencoder: null
postencoder_conf: {}
decoder: transformer
decoder_conf:
    input_layer: embed
    num_blocks: 6
    linear_units: 2048
    dropout_rate: 0.1
preprocessor: default
preprocessor_conf: {}
required:
- output_dir
- token_list
version: '202308'
distributed: false
